package speiger.src.coreengine.utils.io.settings;

import java.util.function.Consumer;

import com.google.gson.JsonObject;

public interface ISetting<T extends ISetting<T>>
{
	public T addListener(Consumer<T> listener);
	
	public boolean isDefault();
	public void setDefault();
	
	public void write(JsonObject object);
	public void read(JsonObject object);
}
